Imports System.Windows.Forms

Module modCircleTest4

    Sub Main()
        Dim circle As CCircle4
        Dim output As String

        circle = New CCircle4(37, 43, 2.5)

        output = "X coordinate is " & circle.X & vbCrLf & "Y coordinate is " & circle.Y & vbCrLf & "Radius is " & circle.Radius

        circle.X = 2
        circle.Y = 2
        circle.Radius = 4.25

        output &= vbCrLf & vbCrLf & "The new location and radius of circle are " & vbCrLf & circle.ToString() & vbCrLf

        output &= "Diameter is " & String.Format("{0:F}", circle.Diameter()) & vbCrLf

        output &= "Circumference is " & String.Format("{0:F}", circle.Circumference()) & vbCrLf

        output &= "Area is " & String.Format("{0:F}", circle.Area())

        MessageBox.Show(output, "Demonstrating Class CCircle4")
    End Sub

End Module